Name: ovirt-engine-cli
Version: 3.6.9.2
Release: 1%{dist}
Summary: oVirt Engine Command Line Interface
Group: Development/Libraries
License: ASL 2.0
URL: http://ovirt.org

# git clone git://gerrit.ovirt.org/ovirt-engine-cli
# cd ovirt-engine-cli
# git archive --prefix ovirt-engine-cli-3.6.9.2/ 3.6.9.2 | xz > ovirt-engine-cli-3.6.9.2.tar.xz
Source: %{name}-%{version}.tar.xz

BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: python-ply
BuildRequires: python-kitchen

BuildArch: noarch

Requires: python
Requires: ovirt-engine-sdk-python >= 3.6.0.0
Requires: python-setuptools
Requires: python-ply
Requires: python-kitchen

Conflicts: python-cli

%description
The command line interface for oVirt-Engine.

%prep
%setup -q

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/ovirtcli
%{python_sitelib}/cli
%{python_sitelib}/ovirt_shell-*
%attr (755,root,root)/usr/bin/ovirt-shell
%doc README
%doc AUTHORS
%doc LICENSE

%changelog
* Tue Nov 15 2016 Juan Hernandez <juan.hernandez@redhat.com> - 3.6.9.2-1
- Update to upstream 3.6.9.2.
- Iterate all permutations of parent identifiers #1335844.
- Add proxy to virt-viewer configuration file #1343890.
- Make CLI more portable #1304643, #1303635.
- Try to locate objects using id, name and alias #1356607.
- Use alternative CA certificate location #1362222.
- Fix handling of the "--all_content" option #1383735.

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.6.2.0-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 11 2016 Juan Hernandez <juan.hernandez@redhat.com> - 3.6.2.0-1
- Update to upstream 3.6.2.0.
- Generate remote viewer configuration using Unicode #807696.
- Process correctly "--parent..." options #1282832.

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.6.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Nov 16 2015 Juan Hernandez <juan.hernandez@redhat.com> - 3.6.0.2-1
- Update to upstream 3.6.0.2.
- Add support for engine version 3.6.
- Add "parent" prefix to parent identifier options #1213393.
- Add support for --type-name options #1177367.
- Add support for Kerberos authentication #1145239.
- Allow identifiers that aren't UUIDs #1148941.
- Always add -identifier and -name options #1206875.
- Don't remove "--" before validating parent options #1241117.
- Support escape of double quote in strings #1211670.
- Try id, name and alias for show #1148941.
- Generate parse tables during build #1255409.

* Tue Jun 23 2015 Juan Hernandez <juan.hernandez@redhat.com> - 3.5.0.6-1
- Check if Spice port is available #1234382.

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jan 21 2015 Juan Hernandez <juan.hernandez@redhat.com> - 3.5.0.5-1
- Update to upstream 3.5.0.5.
- Calculate singulars and plurals correctly #1144110.
- Explicitly document use of name in show #1091725.
- Support show by alias #1091725.
- No regular expression for IP, UUID or number #1110366.
- Use UTF-8 for writing output files #1126763.
- Don't fail when there is no tty #1119412.
- Don't break long lines #1077806.
- Update to version 2.12a of generateDS.py #1091688.
- Don't write integer statistics as float #855724.
- Escape comma in values #1088914.

* Mon Jun 30 2014 Toshio Kuratomi <toshio@fedoraproject.org> - 3.4.0.5-3
- Replace pyhton-setuptools-devel BR with python-setuptools

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 27 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.4.0.5-1
- Update to upstream 3.4.0.5 in order to support version 3.4 of the
  oVirt project.

* Wed Oct 09 2013 Juan Hernandez <juan.hernandez@redhat.com> - 3.3.0.5-1
- Update to upstream 3.3.0.5

* Mon Sep 16 2013 Juan Hernandez <juan.hernandez@redhat.com> - 3.3.0.4-1
- Update to upstream 3.3.0.4
- Use the renamed ovirt-engine-sdk-python package
- Remove the dependency on pexpect

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.0.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue May 14 2013 Juan Hernandez <juan.hernandez@redhat.com> - 3.2.0.12-1
- Update to upstream 3.2.0.12

* Mon Mar 11 2013 Juan Hernandez <juan.hernandez@redhat.com> - 3.2.0.11-1
- Update to upstream 3.2.0.11

* Wed Feb 20 2013 Juan Hernandez <juan.hernandez@redhat.com> - 3.2.0.10-4
- Update to upstream 3.2.0.10
- Removed patches to fix #905359 and #907931 as the fixes for those bugs
  are already included in the new upstream version

* Fri Feb 08 2013 Juan Hernandez <juan.hernandez@redhat.com> - 3.2.0.9-3
- Use -passwdFile instead of -passwdInput to fix #907931

* Thu Jan 31 2013 Juan Hernandez <juan.hernandez@redhat.com> - 3.2.0.9-2
- Use pexpect-u instead of pexpect to really fix #905359

* Wed Jan 30 2013 Juan Hernandez <juan.hernandez@redhat.com> - 3.2.0.9-1
- Update to upstream 3.2.0.9
- Fix for #905359

* Mon Sep 24 2012 Juan Hernandez <juan.hernandez@redhat.com> - 3.2.0.5-1
- Update to upstream 3.2.0.5
- The storagedomain option appears in all VM actions (#856164)
- Disallow specifying app internal options

* Thu Sep 20 2012 Juan Hernandez <juan.hernandez@redhat.com> - 3.2.0.4-1
- Update to upstream 3.2.0.4

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Apr 14 2012 Ofer Schreiber <oschreib@redhat.com> - 2.0-2
- Modified ovirt-engine-sdk dependency

* Thu Feb 16 2012 Ofer Schreiber <oschreib@redhat.com> - 2.0-1
- rebuilt for new upstream 2.0

* Wed Feb 15 2012 Michael Pasternak <mpastern@redhat.com> - 2.0
- New application core
- Added support for commands history stack
- Added support for context aware auto-competition
- Dynamic ovirt-engine-sdk meatdata discovering
- Removed restriction for specific version of ovirt-engine-sdk
  from 1.5 and further ovirt-engine-cli can work with any
  version of sdk (unless sdk introduced cli incompatible change)
- same naming convention in ovirt-engine-cli and ovirt-engine-sdk
- reformatted output to support reduced and expended modes in
  list in show commands by --show-all argument 
- object fields formatting
- added support for linux shell commands redirection
- shell output redirection support
- added SSL arguments to connect command
- added ovirt-engine-api version discovering mechanism

* Thu Jan 19 2012 Michael Pasternak <mpastern@redhat.com> - 1.2-1
- unable to add host #782734
  https://bugzilla.redhat.com/show_bug.cgi?id=782734
- unable to add new cluster #782707
  https://bugzilla.redhat.com/show_bug.cgi?id=782707

* Mon Jan 16 2012 Michael Pasternak <mpastern@redhat.com> - 1.1-1
- unable to create data-center: problem with --version param #781834
  https://bugzilla.redhat.com/show_bug.cgi?id=781834
- authentication show as succeeded with bad password (text only) #781820
  https://bugzilla.redhat.com/show_bug.cgi?id=781820

* Thu Dec 15 2011 Ofer Schreiber <oschreib@redhat.com> - 1.0-1
- Initial build
